class opendeploy::base::packages {

  $dependencies = [
    'libstdc++.i686',
    'openssl098e.i686',
    'compat-libstdc++-33.i686',
  ]

  package { $dependencies:
    ensure => 'installed',
  }

  if $::operatingsystemmajrelease == '6' {
    package { 'nc':
      ensure => 'installed',
    }
  } else {
    package { 'nmap-ncat':
      ensure => 'installed',
    }
  }

}
