class opendeploy::receiver::install {

  exec { 'download_vendor_tarball':
    command => "curl -sL \"${opendeploy::receiver::source_url}\" | tar -v -C ${opendeploy::receiver::install_dir}/odinstall -zx",
    creates => "${opendeploy::receiver::install_dir}/odinstall/README_OPENDEPLOY",
    cwd     => $opendeploy::receiver::install_dir,
    path    => '/usr/local/bin:/usr/bin:/bin',
  }

  exec { 'install_opendeploy_receiver':
    command => "printf \"y\\n1\\n${opendeploy::receiver::install_dir}\\n${opendeploy::receiver::registry_port}\\n${opendeploy::receiver::listening_port}\\n${opendeploy::receiver::enable_event_reporting}\\nn\\n\" | ${opendeploy::receiver::install_dir}/odinstall/startinstall_od",
    creates => "${opendeploy::receiver::install_dir}/OpenDeployNG/install/uninstallod",
    cwd     => "${opendeploy::receiver::install_dir}/odinstall",
    path    => '/usr/local/bin:/usr/bin:/bin',
  }

}
