class opendeploy::base(
  $source_url,
  $install_dir             = $opendeploy::base::params::install_dir,
  $registry_port           = $opendeploy::base::params::registry_port,
  $listening_port          = $opendeploy::base::params::listening_port,
  $service_ensure          = $opendeploy::base::params::service_ensure,
  $enable_event_reporting  = $opendeploy::base::params::enable_event_reporting,
) inherits opendeploy::base::params {

  include opendeploy::base::packages
  include opendeploy::base::skeleton
  include opendeploy::base::install
  include opendeploy::base::service

  Class['opendeploy::base::packages'] ->
  Class['opendeploy::base::skeleton'] ->
  Class['opendeploy::base::install'] ->
  Class['opendeploy::base::service']

}
