class opendeploy::base::install {

  exec { 'download_vendor_tarball':
    command => "curl -sL \"${opendeploy::base::source_url}\" | tar -v -C ${opendeploy::base::install_dir}/odinstall -zx",
    creates => "${opendeploy::base::install_dir}/odinstall/README_OPENDEPLOY",
    cwd     => $opendeploy::base::install_dir,
    path    => '/usr/local/bin:/usr/bin:/bin',
  }

  exec { 'install_opendeploy_base':
    command => "printf \"y\\n1\\n${opendeploy::base::install_dir}\\n${opendeploy::base::registry_port}\\n${opendeploy::base::listening_port}\\n${opendeploy::base::enable_event_reporting}\\nn\\n\" | ${opendeploy::base::install_dir}/odinstall/startinstall_od",
    creates => "${opendeploy::base::install_dir}/OpenDeployNG/install/uninstallod",
    cwd     => "${opendeploy::base::install_dir}/odinstall",
    path    => '/usr/local/bin:/usr/bin:/bin',
  }

}
