class opendeploy::receiver(
  $source_url,
  $install_dir             = $opendeploy::receiver::params::install_dir,
  $registry_port           = $opendeploy::receiver::params::registry_port,
  $listening_port          = $opendeploy::receiver::params::listening_port,
  $service_ensure          = $opendeploy::receiver::params::service_ensure,
  $enable_event_reporting  = $opendeploy::receiver::params::enable_event_reporting,
) inherits opendeploy::receiver::params {

  include opendeploy::receiver::packages
  include opendeploy::receiver::skeleton
  include opendeploy::receiver::install
  include opendeploy::receiver::service

  Class['opendeploy::receiver::packages'] ->
  Class['opendeploy::receiver::skeleton'] ->
  Class['opendeploy::receiver::install'] ->
  Class['opendeploy::receiver::service']

}
